﻿/* Card Header*/
.card-header {
    background-color: rgba(0,0,0,.03);
    transition: background-color 0.5s;
}
.card-header.pop {
    background-color: #FFFF9C;
}

.card-header-left-section {
    min-width: 0; /* https://stackoverflow.com/a/34145461 */
    max-width: 90%;
}

.card-header-right-section {
    width: 240px
}

.card-header-url-span {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: 40%;
    display: inline-block;
    transition: max-width .3s;
}

.card-header[aria-expanded="true"] .card-header-url-span {
    max-width: 95%;
}
.card-header-after-expand .card-header-url-span {
    white-space: normal;
}

.card-header[aria-expanded="true"] .card-header-right-section {
    width: auto;
}



/* Card body*/
.textarea-body {
    width: 100%;
    height: 150px;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    font-size: 16px;
    resize: vertical;
    border-top-left-radius: 0;
}
.textarea-body-none {
    height: 60px;
    border-color: #C9C9C9;
    background-color: #D5D5D5;
}

/*.bg-contenttype {
    background-color: #4bc2d6;
}
.bg-contentlength {
    background-color: #849da1;
}
.bg-contentencoding {
    background-color: #d9de85;
}*/

/* Scrollbar in table's */
table::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

table::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: #F5F5F5;
}

table::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #666;
}

